$(document).ready(function() {
  $('#cart tbody tr:nth-child(even)').addClass('alt');

  $('.quantity input').keypress(function(event) {
    if (event.which && (event.which < 48 || 
                                       event.which > 57)) {
      event.preventDefault();
    }
  });

  var $quantities = $('td.quantity input'); 
  $quantities.change(function() {
    var totalQuantity = 0; 
    $quantities.each(function() {
     var quantity = parseInt(this.value); 
     totalQuantity += quantity;
    });
  $('tr.shipping td.quantity').text(String(totalQuantity));
  });

  $('td.quantity input').change(function() {
    var totalQuantity = 0; 
    $('#cart tbody tr').each(function() {
      var price = parseFloat($('td.price', this)
                             .text().replace(' ', ''));
      price = isNaN(price) ? 0 : price;
      var quantity = 
               parseInt($('td.quantity input', this).val(), 10);
      quantity = isNaN(quantity) ? 0 : quantity;         
      var cost = quantity * price;
      $('td.cost', this).text(cost.toFixed(2)+' ');
      totalQuantity += quantity;
    });
    $('tr.shipping td.quantity').text(String(totalQuantity));
  });


});
